summaryrefslogtreecommitdiffstats
path: root/openwrt/package/rp-l2tp/files
diff options
context:
space:
mode:
Diffstat (limited to 'openwrt/package/rp-l2tp/files')
-rwxr-xr-xopenwrt/package/rp-l2tp/files/rp-l2tpd.init17
1 files changed, 17 insertions, 0 deletions
diff --git a/openwrt/package/rp-l2tp/files/rp-l2tpd.init b/openwrt/package/rp-l2tp/files/rp-l2tpd.init
new file mode 100755
index 000000000..4e03836bb
--- /dev/null
+++ b/openwrt/package/rp-l2tp/files/rp-l2tpd.init
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+DEFAULT=/etc/default/rp-l2tpd
+RUN_D=/var/run
+[ -f $DEFAULT ] && . $DEFAULT
+
+case $1 in
+ start)
+ [ -d $RUN_D ] || mkdir -p $RUN_D
+ l2tpd $OPTIONS
+ ;;
+ *)
+ echo "usage: $0 (start)"
+ exit 1
+esac
+
+exit $?